Bug 18770

Summary: System.Globalization.SortVersion missing
Product: [Mono] Class Libraries Reporter: Mikayla Hutchinson [MSFT] <mhutch>
Component: mscorlibAssignee: Marek Safar <masafa>
Status: RESOLVED FIXED    
Severity: normal CC: gabrielv.lopes, masafa, mono-bugs+mono, narayanp
Priority: ---    
Version: unspecified   
Target Milestone: Untriaged   
Hardware: PC   
OS: Mac OS   
Tags: Is this bug a regression?: ---
Last known good build:

Description Mikayla Hutchinson [MSFT] 2014-04-02 18:41:07 UTC
The System.Globalization.SortVersion class is missing from Mono.
Comment 1 Marek Safar 2014-04-07 13:22:28 UTC
Fixed in master
Comment 2 narayanp 2014-05-12 10:20:49 UTC
In order to verify the dependent issues 17754 and 19495, I was checking out this issue with master build X.S 5.1 (Build 74) As per my observation, we are still getting same build error as mentioned in the gist: https://gist.github.com/Mohit-Kheterpal/9fb74e791384de11372b

Windows 7
Master build of X.S 5.1 (Build 74)
Git revision: 3e78690961108bc7466a0444f57bb0b694470bde

Please let me know if whether I am using the correct set of build or not. If not, please point me to the correct set of build, so that I can check this issue and move forward for verification of other 2 issues(Bug 17754 and Bug 19495).
Comment 3 Gabriel Lopes 2014-08-12 16:29:10 UTC
I am experiencing the same issue. I have a very simple WinForms application that does no compile on Mono 3.3.0 
Error:
Build failed. Could not find type 'System.Globalization.SortVersion'.
Build: 1 error, 0 warnings


My info:

Xamarin Studio
Version 5.2.1 (build 1)
Installation UUID: 237f9dac-3b4e-4f10-a53b-ca5dec86e634
Runtime:
	Microsoft .NET 4.0.30319.18444
	GTK+ 2.24.22 (MS-Windows theme)
	GTK# 2.12.25

Xamarin.Android
Not Installed

Build Information
Release ID: 502010001
Git revision: d06832ce9807d6be24aca225457e8b37c7669f6f
Build date: 2014-08-07 14:35:09-04
Xamarin addins: 1de032531be4cecf2f39dbee3b87aac78204058c

Operating System
Windows 6.1.7601.65536 (64-bit)